Bug 1291795 - (CVE-2015-7537) CVE-2015-7537 jenkins: CSRF vulnerability in some administrative actions (SECURITY-225)
CVE-2015-7537 jenkins: CSRF vulnerability in some administrative actions (SEC...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151209,repor...
: Security
Depends On: 1291800 1291799
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 10:37 EST by Martin Prpič
Modified: 2016-03-22 12:53 EDT (History)
13 users (show)

See Also:
Fixed In Version: Jenkins 1.641, Jenkins 1.625.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-12-15 10:37:07 EST
Several administration/configuration related URLs could be accessed using GET, which allowed attackers to circumvent CSRF protection. This could allow unprivileged attackers to perform some administrative actions via CSRF.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2015-12-09
Comment 2 Martin Prpič 2015-12-15 10:44:29 EST
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1291799]
Comment 4 errata-xmlrpc 2016-01-26 14:19:59 EST
This issue has been addressed in the following products:

  RHEL 7 Version of OpenShift Enterprise 3.1

Via RHSA-2016:0070 https://access.redhat.com/errata/RHSA-2016:0070
Comment 5 errata-xmlrpc 2016-03-22 12:53:17 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:0489 https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.